<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iformall.mapper.WxWeappExtSetMapper">
    <resultMap id="BaseResultMap" type="com.iformall.domain.po.WxWeappExtSet">
        <id column="id" jdbcType="INTEGER" property="id"/>
        <result column="app_id" jdbcType="VARCHAR" property="appId"/>
        <result column="type" jdbcType="INTEGER" property="type"/>
        <result column="ext_json" jdbcType="VARCHAR" property="extJson"/>
        <result column="release_json" jdbcType="VARCHAR" property="releaseJson"/>
        <result column="car_support" jdbcType="TINYINT" property="carSupport"/>
        <result column="create_date" jdbcType="TIMESTAMP" property="createDate"/>
        <result column="update_date" jdbcType="TIMESTAMP" property="updateDate"/>
    </resultMap>

    <sql id="allColumns">
	    `id`,`app_id`,`type`,`ext_json`,`release_json`,`car_support`,`create_date`,`update_date`
	</sql>

    <sql id="dynamicWhereConditions">
        where 1 = 1
        <if test=" null != id ">
            and `id` = #{id}
        </if>
        <if test=" null != appId ">
            and `app_id` = #{appId}
        </if>
        <if test=" null != type ">
            and `type` = #{type}
        </if>
        <if test=" null != carSupport ">
            and `car_support` = #{carSupport}
        </if>
        <if test=" null != createDate ">
            and `create_date` = #{createDate}
        </if>
        <if test=" null != updateDate ">
            and `update_date` = #{updateDate}
        </if>
        <if test=" null != ids ">
            and id in
            <foreach collection="ids" index="index" item="idItem" open="(" separator="," close=")">
                #{idItem}
            </foreach>
        </if>
        <if test=" null != sortColumns">order by ${sortColumns}</if>
    </sql>

    <select id="findList" parameterType="com.iformall.domain.po.WxWeappExtSet" resultMap="BaseResultMap">
        select
        <include refid="allColumns"/>
        from wx_weapp_ext_set
        <include refid="dynamicWhereConditions"/>
    </select>


</mapper>
